## org.eclipse.datatools.connectivity.oda.design
Enum TextWrapType

    java.lang.Object
      java.lang.Enum<TextWrapType>
          org.eclipse.datatools.connectivity.oda.design.TextWrapType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextWrapType>, org.eclipse.emf.common.util.Enumerator

    public enum TextWrapType

extends java.lang.Enum<TextWrapType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Text Wrap Type', and utility methods for working with them. A hint on the type of text wrapping on the data column values. It could be in a single line (None), or word-wrapped (Word).

See Also:
  `DesignPackage.getTextWrapType()`

Enum Constant Summary
`NONE_LITERAL` The 'None' literal object.
`WORD_LITERAL` The 'Word' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `NONE` The 'None' literal value.
`static java.util.List<TextWrapType>` `VALUES` A public read-only list of all the 'Text Wrap Type' enumerators.
`static int` `WORD` The 'Word' literal value.

Method Summary
`static TextWrapType` `get(int value)` Returns the 'Text Wrap Type' literal with the specified integer value.
`static TextWrapType` `get(java.lang.String literal)` Returns the 'Text Wrap Type' literal with the specified literal value.
`static TextWrapType` `getByName(java.lang.String name)` Returns the 'Text Wrap Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static TextWrapType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextWrapType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final TextWrapType NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### WORD_LITERAL

    public static final TextWrapType WORD_LITERAL

  The 'Word' literal object.

  See Also:
    `WORD`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### WORD

    public static final int WORD

  The 'Word' literal value.

  See Also:
    `WORD_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<TextWrapType> VALUES

  A public read-only list of all the 'Text Wrap Type' enumerators.

Method Detail

### values

    public static final TextWrapType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TextWrapType c : TextWrapType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TextWrapType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static TextWrapType get(java.lang.String literal)

  Returns the 'Text Wrap Type' literal with the specified literal value.

### getByName

    public static TextWrapType getByName(java.lang.String name)

  Returns the 'Text Wrap Type' literal with the specified name.

### get

    public static TextWrapType get(int value)

  Returns the 'Text Wrap Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<TextWrapType>`